Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 498776 - x11-themes/qtcurve: won't compile with <gcc-4.7
Summary: x11-themes/qtcurve: won't compile with <gcc-4.7
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-21 11:22 UTC by rf
Modified: 2014-02-04 14:10 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,52.50 KB, text/plain)
2014-02-03 14:17 UTC, Lars Wendler (Polynomial-C)
Details
build.log (build.log,93.01 KB, text/plain)
2014-02-03 14:45 UTC, rf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rf 2014-01-21 11:22:42 UTC
Emerging of x11-themes/qtcurve-1.8.17-r1 failed if GCC version below 4.7.

Reproducible: Always

Steps to Reproduce:
1. gcc-config i686-pc-linux-gnu-4.6.3 && source /etc/profile && emerge "=x11-themes/qtcurve-1.8.17-r1"

2. gcc-config i686-pc-linux-gnu-4.7.3 && source /etc/profile && emerge "=x11-themes/qtcurve-1.8.17-r1"
Actual Results:  
Step 1 -> emerge failed
Step 2 -> emerge succeed

Expected Results:  
Step 1 -> emerge succeed
Step 2 -> emerge succeed

# gcc-config -l
 [1] i686-pc-linux-gnu-4.6.3 *
 [2] i686-pc-linux-gnu-4.7.3

# emerge --info '=x11-themes/qtcurve-1.8.17-r1::gentoo'
Portage 2.2.7 (default/linux/x86/13.0/desktop/kde, gcc-4.6.3, glibc-2.15-r3, 3.7.10-gentoo i686)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.7.10-gentoo-i686-Intel-R-_Core-TM-_i5-3470_CPU_@_3.20GHz-with-gentoo-2.2
KiB Mem:     8131732 total,    927556 free
KiB Swap:     787180 total,    666596 free
Timestamp of tree: Mon, 20 Jan 2014 09:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.5-r3, 3.2.5-r3
dev-util/cmake:           2.8.10.2-r2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13::<unknown repository>, 2.69
sys-devel/automake:       1.6.3-r1, 1.10.3, 1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.6.3, 4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo mozilla my-portage
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/polkit-1/actions /usr/share/themes/oxygen-gtk/gtk-2.0 /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs candy config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://gentoo.inode.at/ ftp://vlaai.snt.ipv6.utwente.nl/pub/os/linux/gentoo/ ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo"
LANG="de_DE@euro"
LC_ALL="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j6"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/mozilla /usr/local/overlays/my-portage"
USE="X aac accessibility aiglx akonadi alsa archive automount avahi bash-completioni bitmap-fonts browserplugin bzip2 cairo cdrom classic consolekit cups cvs cxx daap dbus dri dvd egl exceptions fam firefox fontconfig gallium gif gnome gpm graphviz gtk2 iconv icq icu imlib inotify insecure-drivers introspection java java5 java6 jpeg jpeg2k kde kdevplatform kerberos kontact libkms libnotify lm_sensors log4j logrotate mad mmx mmx2 mng mono mp3 mp4 mpeg mpeg2 ncurses nls nodrm nptl nptlonly nsplugin offensive ogg opengl oscar pae pam phonon png policykit qt3support qt4 quicktime rdesktop readline rle samba sasl sdl semantic-desktop server shared-dricore shared-glapi silverxp slp sse ssl subversion svg svgz threads tiff truetype truetype-fonts type1 type1-fonts udev udisks unicode userlocales v4l vorbis webcam webdav webkit win32codecs wmf x86 xcb xcomposite xine xml2 xmpp xnest xorg xulrunner xv zeroconf zlib" ABI_X86="32" CALLIGRA_FEATURES="braindump flow karbon kexi krita plan stage tables words" CURL_SSL="openssl" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LINGUAS="de" NETBEANS_MODULES="apisupport ide java nb profiler xml websvccommon webcommon visualweb soa" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby20" USERLAND="GNU" VIDEO_CARDS="intel vesa vga"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

x11-themes/qtcurve-1.8.17-r1 was built with the following:
USE="X gtk kde nls qt4 windeco (-aqua) (-qt5)"


# emerge -pqv '=x11-themes/qtcurve-1.8.17-r1::gentoo'
[ebuild   R   ] x11-themes/qtcurve-1.8.17-r1  USE="X gtk kde nls qt4 windeco (-aqua) (-qt5)"
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2014-01-21 12:08:01 UTC
Please attach the full build.log file to this bug.
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2014-02-03 14:17:49 UTC
Created attachment 369436 [details]
build.log
Comment 3 rf 2014-02-03 14:45:08 UTC
Created attachment 369440 [details]
build.log
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2014-02-04 14:10:01 UTC
+  04 Feb 2014; Lars Wendler <polynomial-c@gentoo.org> qtcurve-1.8.17-r1.ebuild,
+  qtcurve-1.8.18.ebuild:
+  Fixed compilation with <gcc-4.7 (bug #498776).
+